Hello,
I would like to understand if I can control anything from BASIC outside the world of LibreOffice.
I need to control ZWCAD or any other CAD that can work with DWG and DXF files.
I tried this line and it did not issue any error.
createUnoService(“com.sun.star.bridge.OleObjectFactory”).createInstance(“ZWCAD.Application”)
However no other following lines worked.
Tried to “translate” from VBA but without success.
Dim AN As ZcadLWPolyline
Dim currentcolor As Variant
’ assume I had a p1 defined
Set AN = ZCAD.ActiveDocument.ModelSpace.AddLightWeightPolyline(p1)
AN.color = IC
ZCAD.ActiveDocument.Regen zcAllViewports
currentcolor = AN.color
</>